Package de.willuhn.jameica.hbci.server

# Enum Class DBPropertyUtil.Prefix

java.lang.Object
java.lang.Enum<DBPropertyUtil.Prefix>
de.willuhn.jameica.hbci.server.DBPropertyUtil.Prefix

All Implemented Interfaces:
  `Serializable`, `Comparable<DBPropertyUtil.Prefix>`, `Constable`

Enclosing class:
  `DBPropertyUtil`

public static enum DBPropertyUtil.Prefix extends Enum<DBPropertyUtil.Prefix>
Definition der Prefixe.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BPD`
Prefix fuer BPDs.
`META`
Prefix fuer Meta-Daten.
`UNREAD`
Prefix für Ungelesen-Markierungen.
`UPD`
Prefix fuer UPDs.

## Method Summary

Modifier and Type
Method
Description
`String`
`value()`
Liefert den Wert des Prefix.
`static DBPropertyUtil.Prefix`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static DBPropertyUtil.Prefix[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### BPD

public static final DBPropertyUtil.Prefix BPD
Prefix fuer BPDs.

### UPD

public static final DBPropertyUtil.Prefix UPD
Prefix fuer UPDs.

### META

public static final DBPropertyUtil.Prefix META
Prefix fuer Meta-Daten.

### UNREAD

public static final DBPropertyUtil.Prefix UNREAD
Prefix für Ungelesen-Markierungen.

## Method Details

### values

public static DBPropertyUtil.Prefix[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static DBPropertyUtil.Prefix valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### value

public String value()
Liefert den Wert des Prefix.

Returns:
  der Wert des Prefix.